global code "your_path"

**************************
*** Part 0: Data Building 
**************************

** (I) Patent data: 
** (Ia) Granted patent data: http://patents.reedtech.com/patent-products.php
** (Ib) Grant and ungranted patent data after 2001: Graham et al. (2015a), https://www.uspto.gov/learning-and-resources/electronic-data-products/patent-examination-research-dataset-public-pair
** (Ic) Reassignment data: Graham et al. (2015b), https://www.uspto.gov/learning-and-resources/electronic-data-products/patent-assignment-dataset
** (Id) Data from European patent office: https://www.epo.org/searching-for-patents/business/patstat.html

** (II) Patent litigation data:
** Data from LexMachina, Darts IP and RPX: https://lexmachina.com/legal-analytics/, https://www.darts-ip.com/ip-cases-database/, https://www.rpxcorp.com/

** (III) Lists Patent Assertion Entities: 
** Main: list provided by the RPX Corporation: https://www.rpxcorp.com/
** Robustness: PAE lists from Cotropia et al. (2014), http://npedata.com/
** and patent portfolio of Intellectual Ventures: http://patents.intven.com/data/ivpatents.csv


*******************************
*** Part 1: Summary Statistics 
*******************************

* Table 1
do "$code/1a_Table1.do"

* Figure 1
do "$code/1b_Figure1.do"


**********************************
*** Part 2: Examiner Signal S.D.
**********************************

* Table 2
do "$code/2a_Table2.do"

* Figure 2
do "$code/2b_Figure2.do"

* Table 3
do "$code/2c_Table3.do"

* Figure 3
do "$code/2d_Figure3.do"

* Table 4
do "$code/2e_Table4.do"

**********************************
*** Part 3: Implications for PAEs
**********************************

* Tables 5 and 6
do "$code/3a_Tables_5_and_6.do"

* Table 7
do "$code/3b_Table7.do"

* Table 8
do "$code/3c_Table8.do"

* Table 9
do "$code/3d_Table9.do"

* Table 10
do "$code/3e_Table10.do"

* Figure 4
do "$code/3f_Figure4.do"


